Browse Source

👷 CI test without src filter (emulate Arduino) (#24335)

ellensp 2 years ago
parent
commit
70eac0fe4f
No account linked to committer's email address
2 changed files with 22 additions and 0 deletions
  1. 14
    0
      buildroot/bin/ci_src_filter
  2. 8
    0
      buildroot/tests/mega2560

+ 14
- 0
buildroot/bin/ci_src_filter View File

1
+#!/usr/bin/env bash
2
+
3
+# exit on first failure
4
+set -e
5
+
6
+SED=$(which gsed sed | head -n1)
7
+FN="platformio.ini"
8
+
9
+if [[ $1 == "-n" ]]; then
10
+  "${SED}" -i "s/default_src_filter/org_src_filter/" $FN
11
+  "${SED}" -i "/org_src_filter/ s/^/default_src_filter = +<src\/*>\n/" $FN
12
+else
13
+  git checkout $FN 2>/dev/null
14
+fi

+ 8
- 0
buildroot/tests/mega2560 View File

13
 #exec_test $1 $2 "Default Configuration" "$3"
13
 #exec_test $1 $2 "Default Configuration" "$3"
14
 
14
 
15
 #
15
 #
16
+# Build with no source filers
17
+#
18
+restore_configs
19
+ci_src_filter -n
20
+exec_test $1 $2 "Default Configuration | no source filtering" "$3"
21
+ci_src_filter -y
22
+
23
+#
16
 # Test a probeless build of AUTO_BED_LEVELING_UBL, with lots of extruders
24
 # Test a probeless build of AUTO_BED_LEVELING_UBL, with lots of extruders
17
 #
25
 #
18
 use_example_configs AnimationExample
26
 use_example_configs AnimationExample

Loading…
Cancel
Save